package Binds_Package
{
	function serverCmdCancelBrick(%c)
	{
		if(%c.currMenu !$= "")
		{
			%return = call("Binds_"@%c.currMenu@"_Menu",%c,"cancelBrick");
			if(%return)
				return;
		}
		return Parent::serverCmdCancelBrick(%c);
	}
	function serverCmdShiftBrick(%c,%x,%y,%z)
	{
		if(%c.currMenu !$= "")
		{
			switch$(%x SPC %y SPC %z)
			{
				case "1 0 0":
					%button = "shiftAway";
				case "-1 0 0":
					%button = "shiftTowards";
				case "0 1 0":
					%button = "shiftLeft";
				case "0 1 0":
					%button = "shiftRight";
				case "0 0 1":
					%button = "shiftOneThirdUp";
				case "0 0 1":
					%button = "shiftOneThirdDown";
				case "0 0 3":
					%button = "shiftUp";
				case "0 0 -3":
					%button = "shiftDown";
			}
			%return = call("Binds_"@%c.currMenu@"_Menu",%c,%button);
			if(%return)
				return;
		}
		return Parent::serverCmdShiftBrick(%c,%x,%y,%z);
	}
	function serverCmdRotateBrick(%c,%dir)
	{
		if(%c.currMenu !$= "")
		{
			switch(%dir)
			{
				case 1:
					%button = "rotateCCW";
				case 0:
					%button = "rotateCW";
			}
			%return = call("Binds_"@%c.currMenu@"_Menu",%c,%button);
			if(%return)
				return;
		}
		return Parent::serverCmdRotateBrick(%c,%dir);
	}
	function serverCmdPlantBrick(%c)
	{
		if(%c.currMenu !$= "")
		{
			%return = call("Binds_"@%c.currMenu@"_Menu",%c,"enter");
			if(%return)
				return;
		}
		return Parent::serverCmdPlantBrick(%c);
	}
	function serverCmdSuperShiftBrick(%c,%x,%y,%z)
	{
		if(%c.currMenu !$= "")
		{
			switch$(%x SPC %y SPC %z)
			{
				case "1 0 0":
					%button = "superShiftAway";
				case "-1 0 0":
					%button = "superShiftTowards";
				case "0 1 0":
					%button = "superShiftLeft";
				case "0 1 0":
					%button = "superShiftRight";
				case "0 0 1":
					%button = "superShiftOneThirdUp";
				case "0 0 1":
					%button = "superShiftOneThirdDown";
				case "0 0 3":
					%button = "superShiftUp";
				case "0 0 -3":
					%button = "superShiftDown";
			}
			%return = call("Binds_"@%c.currMenu@"_Menu",%c,%button);
			if(%return)
				return;
		}
		return Parent::serverCmdSuperShiftBrick(%c,%x,%y,%z);
	}
	function serverCmdLight(%c)
	{
		if(%c.currMenu !$= "")
		{
			%return = call("Binds_"@%c.currMenu@"_Menu",%c,"light");
			if(%return)
				return;
		}
		return Parent::serverCmdLight(%c);
	}
	function serverCmdPrevSeat(%c)
	{
		if(%c.currMenu !$= "")
		{
			%return = call("Binds_"@%c.currMenu@"_Menu",%c,"prevSeat");
			if(%return)
				return;
		}
		return Parent::serverCmdPrevSeat(%c);
	}
	function serverCmdNextSeat(%c)
	{
		if(%c.currMenu !$= "")
		{
			%return = call("Binds_"@%c.currMenu@"_Menu",%c,"nextSeat");
			if(%return)
				return;
		}
		return Parent::serverCmdNextSeat(%c);
	}
	function Armor::onTrigger(%t,%p,%b,%v)
	{
		%c = %p.client;
		if(%c.currMenu !$= "")
		{
			switch$(%b SPC %v)
			{
				case "0 1":
					%button = "leftClickDown";
				case "0 0":
					%button = "leftClickUp";
				case "4 1":
					%button = "rightClickDown";
				case "4 0":
					%button = "rightClickUp";
				case "2 1":
					%button = "jumpDown";
				case "2 0":
					%button = "jumpUp";
			}
			call("Binds_"@%c.currMenu@"_Menu",%c,%button);
		}
		return Parent::onTrigger(%t,%p,%b,%v);
	}
	function WeaponImage::onMount(%t,%p,%s)
	{
		%c = %p.client;
		if(%c.currMenu !$= "")
		{
			%return = call("Binds_"@%c.currMenu@"_Menu",%c,"mountTool");
			if(%return)
				return;
		}
		return Parent::onMount(%t,%p,%s);
	}
	function WeaponImage::onUnMount(%t,%p,%s)
	{
		%c = %p.client;
		if(%c.currMenu !$= "")
		{
			%return = call("Binds_"@%c.currMenu@"_Menu",%c,"unmountTool");
			if(%return)
				return;
		}
		return Parent::onUnMount(%t,%p,%s);
	}
	function serverCmdUseSprayCan(%c,%i)
	{
		if(%c.currMenu !$= "")
		{
			%return = call("Binds_"@%c.currMenu@"_Menu",%c,"useSprayCan");
			if(%return)
			{
				commandToClient(%c, 'SetScrollMode', -1);
				return;
			}
		}
		return Parent::serverCmdUseSprayCan(%c,%i);
	}
	function serverCmdUseTool(%c,%i)
	{
		if(%c.currMenu !$= "")
		{
			%return = call("Binds_"@%c.currMenu@"_Menu",%c,"useTool");
			if(%return)
			{
				commandToClient(%c, 'SetScrollMode', -1);
				return;
			}
		}
		return Parent::serverCmdUseTool(%c,%i);
	}
};
activatePackage(Binds_Package);

//EXAMPLE:
//function Binds_Example_Menu(%client,%bind)
//{
//	switch$(%bind)
//	{
//		case "leftClickUp":
//			echo("Wow, nice left-clicking!");
//		case "rightClickUp":
//			echo("Well done! You can right-click too. Ingenious!");
//		case "useTool":
//			echo("I cannot allow you to open up the tools.");
//			return 1;
//		case "jumpDown":
//			return 1;
//	}
//}
