//BARBER SOUNDS
datablock AudioProfile(Barber_Audio_HaircutSwitch)
{
   filename = "./switch.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(Barber_Audio_HaircutDye : Barber_Audio_HaircutSwitch)
{
   filename = "./dye.wav";
};

//HAIRCUTS BELOW
//# BALDING HAIR

datablock ShapeBaseImageData(Barber_Hair_Balding_Black) 
{
   shapeFile = "./Barber_baldingHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 0.05";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Balding";
};

datablock ShapeBaseImageData(Barber_Hair_Balding_Brown) 
{
   shapeFile = "./Barber_baldingHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 0.05";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Balding";
};

datablock ShapeBaseImageData(Barber_Hair_Balding_White) 
{
   shapeFile = "./Barber_baldingHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 0.05";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.75 0.75 0.8 1";
   uiName = "Balding";
};

datablock ShapeBaseImageData(Barber_Hair_Balding_Ginger)
{
   shapeFile = "./Barber_baldingHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 0.05";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Balding";
};


//# BROAD HAIR

datablock ShapeBaseImageData(Barber_Hair_Broad_Black) 
{
   shapeFile = "./Barber_broadHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.01 0.02 0.05";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Broad";
};

datablock ShapeBaseImageData(Barber_Hair_Broad_Brown) 
{
   shapeFile = "./Barber_broadHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.01 0.02 0.05";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Broad";
};

datablock ShapeBaseImageData(Barber_Hair_Broad_Blonde) 
{
   shapeFile = "./Barber_broadHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.01 0.02 0.05";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.774 0.662 0.386 1";
   uiName = "Broad";
};

datablock ShapeBaseImageData(Barber_Hair_Broad_Ginger)
{
   shapeFile = "./Barber_broadHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.01 0.02 0.05";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Broad";
};


//# BUNN HAIR

datablock ShapeBaseImageData(Barber_Hair_Bunn_Black) 
{
   shapeFile = "./Barber_bunnHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 -0.17";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Bunn";
};

datablock ShapeBaseImageData(Barber_Hair_Bunn_Brown) 
{
   shapeFile = "./Barber_bunnHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 -0.17";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Bunn";
};

datablock ShapeBaseImageData(Barber_Hair_Bunn_Blonde) 
{
   shapeFile = "./Barber_bunnHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 -0.17";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.774 0.662 0.386 1";
   uiName = "Bunn";
};

datablock ShapeBaseImageData(Barber_Hair_Bunn_Ginger)
{
   shapeFile = "./Barber_bunnHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 -0.17";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Bunn";
};

//# FEMALE FANCY HAIR

datablock ShapeBaseImageData(Barber_Hair_Daphne_Black) 
{
   shapeFile = "./Barber_DaphneHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 0.05";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Fancy";
};

datablock ShapeBaseImageData(Barber_Hair_Daphne_Brown) 
{
   shapeFile = "./Barber_DaphneHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 0.05";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Fancy";
};

datablock ShapeBaseImageData(Barber_Hair_Daphne_Blonde) 
{
   shapeFile = "./Barber_DaphneHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 0.05";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.774 0.662 0.386 1";
   uiName = "Fancy";
};

datablock ShapeBaseImageData(Barber_Hair_Daphne_Ginger)
{
   shapeFile = "./Barber_DaphneHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 0.05";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Fancy";
};

//# EMO HAIR

datablock ShapeBaseImageData(Barber_Hair_Emo_Black) 
{
   shapeFile = "./Barber_emoHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.015 0 -0.1";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Emo";
};

datablock ShapeBaseImageData(Barber_Hair_Emo_Brown) 
{
   shapeFile = "./Barber_emoHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.015 0 -0.1";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Emo";
};

datablock ShapeBaseImageData(Barber_Hair_Emo_Blonde) 
{
   shapeFile = "./Barber_emoHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.015 0 -0.1";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.774 0.662 0.386 1";
   uiName = "Emo";
};

datablock ShapeBaseImageData(Barber_Hair_Emo_Ginger)
{
   shapeFile = "./Barber_emoHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.015 0 -0.1";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Emo";
};

//# HEADBAND HAIR

datablock ShapeBaseImageData(Barber_Hair_Headband_Black) 
{
   shapeFile = "./Barber_headbandHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 -0.2";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Headband";
};

datablock ShapeBaseImageData(Barber_Hair_Headband_Brown) 
{
   shapeFile = "./Barber_headbandHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 -0.2";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Headband";
};

datablock ShapeBaseImageData(Barber_Hair_Headband_Blonde) 
{
   shapeFile = "./Barber_headbandHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 -0.2";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.774 0.662 0.386 1";
   uiName = "Headband";
};

datablock ShapeBaseImageData(Barber_Hair_Headband_Ginger)
{
   shapeFile = "./Barber_headbandHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 -0.2";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Headband";
};

//# LONG HAIR

datablock ShapeBaseImageData(Barber_Hair_Long_Black) 
{
   shapeFile = "./Barber_LongHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 -0.025";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Long";
};

datablock ShapeBaseImageData(Barber_Hair_Long_Brown) 
{
   shapeFile = "./Barber_LongHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 -0.025";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Long";
};

datablock ShapeBaseImageData(Barber_Hair_Long_Blonde) 
{
   shapeFile = "./Barber_LongHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 -0.025";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.774 0.662 0.386 1";
   uiName = "Long";
};

datablock ShapeBaseImageData(Barber_Hair_Long_Ginger)
{
   shapeFile = "./Barber_LongHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 -0.025";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Long";
};

//# MESSY HAIR

datablock ShapeBaseImageData(Barber_Hair_Messy_Black) 
{
   shapeFile = "./Barber_messyHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.04 -0.075";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Messy";
};

datablock ShapeBaseImageData(Barber_Hair_Messy_Brown) 
{
   shapeFile = "./Barber_messyHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.04 -0.075";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Messy";
};

datablock ShapeBaseImageData(Barber_Hair_Messy_Blonde) 
{
   shapeFile = "./Barber_messyHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.04 -0.075";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.774 0.662 0.386 1";
   uiName = "Messy";
};

datablock ShapeBaseImageData(Barber_Hair_Messy_Ginger)
{
   shapeFile = "./Barber_messyHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.04 -0.075";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Messy";
};

//# MOM HAIR

datablock ShapeBaseImageData(Barber_Hair_Mom_Black) 
{
   shapeFile = "./Barber_momHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.03 -0.16";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Squire";
};

datablock ShapeBaseImageData(Barber_Hair_Mom_Brown) 
{
   shapeFile = "./Barber_momHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.03 -0.16";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Squire";
};

datablock ShapeBaseImageData(Barber_Hair_Mom_Blonde) 
{
   shapeFile = "./Barber_momHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.03 -0.16";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.774 0.662 0.386 1";
   uiName = "Squire";
};

datablock ShapeBaseImageData(Barber_Hair_Mom_Ginger)
{
   shapeFile = "./Barber_momHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.03 -0.16";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Squire";
};


//# NEAT HAIR

datablock ShapeBaseImageData(Barber_Hair_Neat_Black) 
{
   shapeFile = "./Barber_NeatHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 0";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Neat";
};

datablock ShapeBaseImageData(Barber_Hair_Neat_Brown) 
{
   shapeFile = "./Barber_NeatHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 0";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Neat";
};

datablock ShapeBaseImageData(Barber_Hair_Neat_Blonde) 
{
   shapeFile = "./Barber_NeatHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 0";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.774 0.662 0.386 1";
   uiName = "Neat";
};

datablock ShapeBaseImageData(Barber_Hair_Neat_Ginger)
{
   shapeFile = "./Barber_NeatHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0 -0.02";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Neat";
};

//# OLD MAN HAIR

datablock ShapeBaseImageData(Barber_Hair_OldMan_Black) 
{
   shapeFile = "./Barber_OldManHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.02 -0.04";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Scholar";
};

datablock ShapeBaseImageData(Barber_Hair_OldMan_Brown) 
{
   shapeFile = "./Barber_OldManHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.02 -0.04";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Scholar";
};

datablock ShapeBaseImageData(Barber_Hair_OldMan_White) 
{
   shapeFile = "./Barber_OldManHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.02 -0.04";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.75 0.75 0.8 1";
   uiName = "Scholar";
};

datablock ShapeBaseImageData(Barber_Hair_OldMan_Ginger)
{
   shapeFile = "./Barber_OldManHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.02 -0.02";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Scholar";
};

//# OLD WOMAN HAIR

datablock ShapeBaseImageData(Barber_Hair_OldWoman_Black) 
{
   shapeFile = "./Barber_oldWomanHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.05 -0.08";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Old Woman";
};

datablock ShapeBaseImageData(Barber_Hair_OldWoman_Brown) 
{
   shapeFile = "./Barber_oldWomanHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.05 -0.08";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Old Woman";
};

datablock ShapeBaseImageData(Barber_Hair_OldWoman_White) 
{
   shapeFile = "./Barber_oldWomanHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.05 -0.08";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.75 0.75 0.8 1";
   uiName = "Old Woman";
};

datablock ShapeBaseImageData(Barber_Hair_OldWoman_Ginger)
{
   shapeFile = "./Barber_oldWomanHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 -0.05 -0.08";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Old Woman";
};

//# PARTED HAIR

datablock ShapeBaseImageData(Barber_Hair_Parted_Black) 
{
   shapeFile = "./Barber_PartedHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0.03 0.04";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Parted";
};

datablock ShapeBaseImageData(Barber_Hair_Parted_Brown) 
{
   shapeFile = "./Barber_PartedHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0.03 0.04";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Parted";
};

datablock ShapeBaseImageData(Barber_Hair_Parted_Blonde) 
{
   shapeFile = "./Barber_PartedHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0.03 0.04";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.774 0.662 0.386 1";
   uiName = "Parted";
};

datablock ShapeBaseImageData(Barber_Hair_Parted_Ginger) 
{
   shapeFile = "./Barber_PartedHair.dts";
   mountPoint = $HeadSlot;
   offset = "0 0.03 0.04";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Parted";
};

//# PONYTAIL HAIR

datablock ShapeBaseImageData(Barber_Hair_Ponytail_Black) 
{
   shapeFile = "./Barber_PonytailHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.04 0.03 -0.2";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Ponytail";
};

datablock ShapeBaseImageData(Barber_Hair_Ponytail_Brown) 
{
   shapeFile = "./Barber_PonytailHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.04 0.03 -0.2";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Ponytail";
};

datablock ShapeBaseImageData(Barber_Hair_Ponytail_Blonde) 
{
   shapeFile = "./Barber_PonytailHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.04 0.03 -0.2";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.774 0.662 0.386 1";
   uiName = "Ponytail";
};

datablock ShapeBaseImageData(Barber_Hair_Ponytail_Ginger) 
{
   shapeFile = "./Barber_PonytailHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.04 0.03 -0.2";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Ponytail";
};

//# SHAGGY HAIR

datablock ShapeBaseImageData(Barber_Hair_Shaggy_Black) 
{
   shapeFile = "./Barber_ShaggyHair.dts";
   mountPoint = $HeadSlot;
   offset = "-0.017 0.2 -0.07";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Shaggy";
};

datablock ShapeBaseImageData(Barber_Hair_Shaggy_Brown) 
{
   shapeFile = "./Barber_ShaggyHair.dts";
   mountPoint = $HeadSlot;
   offset = "-0.017 0.2 -0.07";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Shaggy";
};

datablock ShapeBaseImageData(Barber_Hair_Shaggy_Blonde) 
{
   shapeFile = "./Barber_ShaggyHair.dts";
   mountPoint = $HeadSlot;
   offset = "-0.017 0.2 -0.07";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.774 0.662 0.386 1";
   uiName = "Shaggy";
};

datablock ShapeBaseImageData(Barber_Hair_Shaggy_Ginger)
{
   shapeFile = "./Barber_ShaggyHair.dts";
   mountPoint = $HeadSlot;
   offset = "-0.017 0.2 -0.07";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Shaggy";
};

//# WAVEY HAIR

datablock ShapeBaseImageData(Barber_Hair_Wavey_Black) 
{
   shapeFile = "./Barber_WaveyHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.02 -0.04 -0.11";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.2 0.2 0.2 1";
   uiName = "Wavey";
};

datablock ShapeBaseImageData(Barber_Hair_Wavey_Brown) 
{
   shapeFile = "./Barber_WaveyHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.02 -0.04 -0.11";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.36 0.23 0.13 1";
   uiName = "Wavey";
};

datablock ShapeBaseImageData(Barber_Hair_Wavey_Blonde) 
{
   shapeFile = "./Barber_WaveyHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.02 -0.04 -0.11";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.774 0.662 0.386 1";
   uiName = "Wavey";
};

datablock ShapeBaseImageData(Barber_Hair_Wavey_Ginger)
{
   shapeFile = "./Barber_WaveyHair.dts";
   mountPoint = $HeadSlot;
   offset = "0.02 -0.04 -0.11";
   eyeOffset = "0 0 -99";
   rotation = eulerToMatrix("0 0 0");
   scale = "0.1 0.1 0.1";
   doColorShift = true;
   colorShiftcolor = "0.73 0.34 0.08 1";
   uiName = "Wavey";
};